Summary:	Tool to handle rpmnew and rpmsave files
Summary(pl.UTF-8):	Narzędzie do obsługi plików rpmnew oraz rpmsave
Name:		rpmconf
Version:	1.1.8
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://github.com/xsuchy/rpmconf/archive/%{name}-%{version}-1/rpmconf-%{version}.tar.gz
# Source0-md5:	e86ba5c336ee75fd9b34557de90407d6
URL:		https://github.com/xsuchy/rpmconf
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	python3-modules
BuildRequires:	python3-rpm
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sphinx-pdg
%if %{with tests}
BuildRequires:	python3-pylint
BuildRequires:	python3-six
%endif
Requires:	python3-rpm
Requires:	python3-rpmconf = %{version}-%{release}
Requires:	which
Suggests:	diffuse
Suggests:	diffutils
Suggests:	kdiff3
Suggests:	meld
Suggests:	vim-X11
Suggests:	vim-enhanced
# sdiff
Suggests:	diffutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool search for .rpmnew, .rpmsave and .rpmorig files and ask you
what to do with them: Keep current version, place back old version,
watch the diff or merge.

%package -n python3-rpmconf
Summary:	Python interface for %{name}
Requires:	pydoc3

%description -n python3-rpmconf
Python interface for %{name}. Mostly useful for developers only.

%package -n python3-rpmconf-doc
Summary:	Documentation of python interface for %{name}

%description -n python3-rpmconf-doc
Documentation generated from code of python3-rpmconf.

%prep
%setup -q -n %{name}-%{name}-%{version}-1

%{__sed} -i -e 's/__version__ = .*/__version__ = "%{version}"/' rpmconf/rpmconf.py
%{__sed} -i -e 's/version = .*,/version = "%{version}",/' setup.py
%{__sed} -i -e 's@/usr/bin/ls@/bin/ls@' rpmconf/rpmconf.py

%build
%py3_build

docbook2man rpmconf.sgml
%{__make} -C docs html man

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man{3,8},%{_datadir}/rpmconf}

%py3_install \
	--install-scripts %{_sbindir} \
	--root $RPM_BUILD_ROOT

cp -p rpmconf.8 $RPM_BUILD_ROOT%{_mandir}/man8/rpmconf.8
cp -p docs/build/man/rpmconf.3 $RPM_BUILD_ROOT%{_mandir}/man3/rpmconf.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_sbindir}/rpmconf
%dir %{_datadir}/rpmconf
%{_mandir}/man8/rpmconf.8*

%files -n python3-rpmconf
%defattr(644,root,root,755)
%{py3_sitescriptdir}/rpmconf
%{py3_sitescriptdir}/rpmconf-*.egg-info
%{_mandir}/man3/rpmconf.3*

%files -n python3-rpmconf-doc
%defattr(644,root,root,755)
%doc docs/build/html
%changelog
* Sat Dec 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpmconf.git;a=log;h=auto/th/rpmconf-1.1.8-1

* Fri Dec 16 2022 Jan Palus <atler@pld-linux.org> f6158f0
- macros for %py3_build

* Fri Dec 16 2022 Jan Palus <atler@pld-linux.org> 13f3200
- up to 1.1.8

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> aa0a4c8
- require python3-rpmconf with same version; rel 2

* Sun Sep 04 2022 Jan Palus <atler@pld-linux.org> fc6c144
- up to 1.1.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f839432
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9a613a0
- rebuild with python 3.10

* Sun May 16 2021 Jan Palus <atler@pld-linux.org> 191fe69
- rel 2

* Sun May 16 2021 Jan Palus <atler@pld-linux.org> 35d6e74
- fix path to ls (time for /usr merge?)

* Sun May 16 2021 Jan Palus <atler@pld-linux.org> 1bd3aeb
- BR: python3-modules instead of python-modules

* Sun May 16 2021 Jan Palus <atler@pld-linux.org> f8019d8
- R: pydoc3 in python3-rpmconf

* Sun Mar 14 2021 Jan Rękorajski <baggins@pld-linux.org> c7b521f
- up to 1.1.4
- added python subpackages

* Sun Nov 27 2011 Tomasz Pala <gotar@pld-linux.org> c49ab28
- cosmetics

* Sat Nov 26 2011 Elan Ruusamäe <glen@pld-linux.org> 90b90ba
- release 2

* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> 9bfea4e
- generate man

* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> 763d57a
- 0.3.3, use US-ASCII for commandline opts

* Tue Feb 23 2010 Elan Ruusamäe <glen@pld-linux.org> eefb2ed
- R: wihch

* Tue Feb 23 2010 Elan Ruusamäe <glen@pld-linux.org> 7d7cd40
- keep english description in US-ASCII

* Tue Feb 23 2010 lisu <lisu@pld-linux.org> 5b086b4
- new

